# ChangeLog for sys-kernel/usermode-sources
# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-kernel/usermode-sources/ChangeLog,v 1.88 2008/03/01 20:04:34 zlin Exp $

  01 Mar 2008; Bo Ørsted Andresen <zlin@gentoo.org>
  usermode-sources-2.6.18-r2.ebuild:
  Use K_EXTRAELOG instead of K_EXTRAEINFO (bug #199464).

*usermode-sources-2.6.18-r2 (25 May 2007)

  25 May 2007; Daniel Gryniewicz <dang@gentoo.org>
  +files/usermode-sources-2.6.18-r2-gentoo-headers.patch,
  +usermode-sources-2.6.18-r2.ebuild:
  Bump to 2.6.18-r2
  	- Includes a patch to work with linux-header-2.6.21

  03 Jan 2007; Daniel Gryniewicz <dang@gentoo.org>
  +files/usermode-sources-2.6.18-r1-CVE-2006-4572.patch,
  usermode-sources-2.6.18-r1.ebuild:
  Oops, fix for bug #154327 too

*usermode-sources-2.6.18-r1 (03 Jan 2007)

  03 Jan 2007; Daniel Gryniewicz <dang@gentoo.org>
  +files/uml-2.6.18-genpatches-8-prep.patch,
  +usermode-sources-2.6.18-r1.ebuild:
  Update to bb2 and genpatches 8; fixes bug #154313, bug #155769, and bug #158792

*usermode-sources-2.6.18 (30 Sep 2006)

  30 Sep 2006; Daniel Gryniewicz <dang@gentoo.org>
  +usermode-sources-2.6.18.ebuild:
  2.6.18, finally

*usermode-sources-2.6.16-r5 (06 Sep 2006)

  06 Sep 2006; Daniel Gryniewicz <dang@gentoo.org>
  +files/usermode-sources-2.6.16-CVE-2006-2935.patch,
  +files/usermode-sources-2.6.16-CVE-2006-3468.patch,
  +files/usermode-sources-2.6.16-CVE-2006-4145.patch,
  +usermode-sources-2.6.16-r5.ebuild:
  Bump with several CVE fixes

  15 Jul 2006; Daniel Gryniewicz <dang@gentoo.org>
  -usermode-sources-2.6.16-r1.ebuild, -usermode-sources-2.6.16-r2.ebuild:
  Clean up older versions

*usermode-sources-2.6.16-r4 (15 Jul 2006)

  15 Jul 2006; Daniel Gryniewicz <dang@gentoo.org>
  +usermode-sources-2.6.16-r4.ebuild:
  Bump with fix for bug #140444

*usermode-sources-2.6.16-r3 (03 Jul 2006)

  03 Jul 2006; Daniel Gryniewicz <dang@gentoo.org>
  +usermode-sources-2.6.16-r3.ebuild:
  Fix bug #137623, bug #137625, and bug #137626

  14 Jun 2006; Daniel Gryniewicz <dang@gentoo.org>
  -usermode-sources-2.6.15.ebuild, -usermode-sources-2.6.15-r1.ebuild,
  -usermode-sources-2.6.16.ebuild:
  Clean up old versions

*usermode-sources-2.6.16-r2 (14 Jun 2006)

  14 Jun 2006; Daniel Gryniewicz <dang@gentoo.org>
  +usermode-sources-2.6.16-r2.ebuild:
  Bump for genpatches 11

*usermode-sources-2.6.16-r1 (29 May 2006)

  29 May 2006; Daniel Gryniewicz <dang@gentoo.org>
  +usermode-sources-2.6.16-r1.ebuild:
  Bump for bug #132825, bug #132855, and bug #133465

*usermode-sources-2.6.16 (08 May 2006)

  08 May 2006; Daniel Gryniewicz <dang@gentoo.org>
  +files/uml-2.6.16-bs2-new-glibc.patch, +usermode-sources-2.6.16.ebuild:
  Bump to 2.6.16-bs2

*usermode-sources-2.6.15-r1 (02 Mar 2006)

  02 Mar 2006; Daniel Drake <dsd@gentoo.org>
  -usermode-sources-2.6.14-r1.ebuild, +usermode-sources-2.6.15-r1.ebuild:
  Update to genpatches-2.6.15-9 and 2.6.15-bs2

*usermode-sources-2.6.15 (21 Jan 2006)

  21 Jan 2006; Daniel Drake <dsd@gentoo.org>
  -usermode-sources-2.6.12-r2.ebuild, -usermode-sources-2.6.14.ebuild,
  +usermode-sources-2.6.15.ebuild:
  Version bump to 2.6.15-bs1 and genpatches-2.6.15-3

*usermode-sources-2.6.14-r1 (29 Dec 2005)

  29 Dec 2005; Daniel Drake <dsd@gentoo.org>
  +usermode-sources-2.6.14-r1.ebuild:
  Version bump to 2.6.14-bs3 and genpatches-2.6.14-7

*usermode-sources-2.6.14 (05 Nov 2005)

  05 Nov 2005; Daniel Drake <dsd@gentoo.org>
  -usermode-sources-2.6.12-r1.ebuild, +usermode-sources-2.6.14.ebuild:
  Version bump to 2.6.14-bs1 and genpatches-2.6.14-1

*usermode-sources-2.6.12-r2 (23 Aug 2005)

  23 Aug 2005; Daniel Drake <dsd@gentoo.org>
  +usermode-sources-2.6.12-r2.ebuild:
  Bump to 2.6.12-bs11 and genpatches-2.6.12-13 thanks to Karl in bug #103082

  15 Aug 2005; <plasmaroo@gentoo.org> -usermode-sources-2.4.27.ebuild,
  -files/usermode-sources-2.4.26.CAN-2004-0394.patch,
  -files/usermode-sources-2.4.27.CAN-2004-1295.patch,
  -files/usermode-sources-2.4.77094.patch,
  -files/usermode-sources-2.4.77666.patch,
  -files/usermode-sources-2.4.78362.patch,
  -files/usermode-sources-2.4.78363.patch,
  -files/usermode-sources-2.4.CAN-2004-0495.patch,
  -files/usermode-sources-2.4.CAN-2004-0535.patch,
  -files/usermode-sources-2.4.CAN-2004-0685.patch,
  -files/usermode-sources-2.4.CAN-2004-1016.patch,
  -files/usermode-sources-2.4.CAN-2004-1056.patch,
  -files/usermode-sources-2.4.CAN-2004-1137.patch,
  -files/usermode-sources-2.4.FPULockup-53804.patch,
  -files/usermode-sources-2.4.XDRWrapFix.patch,
  -files/usermode-sources-2.4.binfmt_a.out.patch,
  -files/usermode-sources-2.4.binfmt_elf.patch,
  -files/usermode-sources-2.4.brk-locked.patch,
  -files/usermode-sources-2.4.cmdlineLeak.patch,
  -files/usermode-sources-2.4.smbfs.patch,
  -files/usermode-sources-2.4.vma.patch,
  -files/usermode-sources.AF_UNIX.patch:
  Remove 2.4 due to open security issues and lack of a maintainer.

*usermode-sources-2.6.12-r1 (13 Jul 2005)

  13 Jul 2005; Daniel Drake <dsd@gentoo.org>
  -usermode-sources-2.6.11-r1.ebuild, -usermode-sources-2.6.12.ebuild,
  +usermode-sources-2.6.12-r1.ebuild:
  Version bump to genpatches-2.6.12-8 and 2.6.12-bs5

  06 Jul 2005; Daniel Drake <dsd@gentoo.org>
  files/digest-usermode-sources-2.6.12, Manifest:
  Fix digest

*usermode-sources-2.6.12 (06 Jul 2005)

  06 Jul 2005; Daniel Drake <dsd@gentoo.org>
  +usermode-sources-2.6.12.ebuild:
  Bump to 2.6.12-bs1 with genpatches-2.6.12-7

*usermode-sources-2.6.11-r1 (17 May 2005)

  17 May 2005; Daniel Drake <dsd@gentoo.org>
  -files/usermode-sources-2.6.CAN-2005-0400.patch,
  -files/usermode-sources-2.6.CAN-2005-0749.patch,
  -files/usermode-sources-2.6.CAN-2005-0736.patch,
  -files/usermode-sources-2.6.CAN-2005-0750.patch,
  -files/usermode-sources-2.6.74070.patch,
  -files/usermode-sources-2.6.CAN-2005-0384.patch,
  -files/usermode-sources-2.6.CAN-2005-0815.patch,
  -files/usermode-sources-2.6.rose.patch, -usermode-sources-2.6.11.ebuild,
  +usermode-sources-2.6.11-r1.ebuild:
  Version bump. 2.6.11.8-bs5 and genpatches 11.12

*usermode-sources-2.6.11 (30 Apr 2005)

  30 Apr 2005; Daniel Drake <dsd@gentoo.org>
  +files/usermode-sources-2.6.CAN-2005-0400.patch,
  +files/usermode-sources-2.6.CAN-2005-0749.patch,
  +files/usermode-sources-2.6.CAN-2005-0384.patch,
  +files/usermode-sources-2.6.CAN-2005-0736.patch,
  +files/usermode-sources-2.6.CAN-2005-0750.patch,
  +files/usermode-sources-2.6.CAN-2005-0815.patch,
  +files/usermode-sources-2.6.rose.patch, +usermode-sources-2.6.11.ebuild:
  -m 2.6.11-bs4 release

*usermode-sources-2.4.27 (13 Apr 2005)

  13 Apr 2005; John Mylchreest <johnm@gentoo.org>
  +files/usermode-sources-2.4.27.CAN-2004-1295.patch,
  -usermode-sources-2.4.26-r13.ebuild, +usermode-sources-2.4.27.ebuild:
  fixing net_slip vuln. #74482

  17 Mar 2005; <r3pek@gentoo.org> usermode-sources-2.4.26-r13.ebuild,
  usermode-sources-2.6.8.1-r9.ebuild:
  Fixing bug #77340 thanks to Chris Rebert

  16 Mar 2005; <plasmaroo@gentoo.org> files/usermode-sources-2.6.77666.patch:
  Fix 2.6 #77666 patch.

  16 Mar 2005; Daniel Drake <dsd@gentoo.org>
  files/usermode-sources-2.6.77666.patch:
  Fix 77666 patch to compile

  07 Mar 2005; <plasmaroo@gentoo.org> usermode-sources-2.6.8.1-r9.ebuild,
  +files/usermode-sources-2.6.78362.patch:
  Add #7836[23] for 2.6.

*usermode-sources-2.6.8.1-r9 (07 Mar 2005)

  07 Mar 2005; <plasmaroo@gentoo.org> -usermode-sources-2.4.26-r12.ebuild,
  +usermode-sources-2.4.26-r13.ebuild, -usermode-sources-2.6.8.1-r8.ebuild,
  +usermode-sources-2.6.8.1-r9.ebuild,
  +files/usermode-sources-2.4.77666.patch,
  +files/usermode-sources-2.4.78362.patch,
  +files/usermode-sources-2.4.78363.patch,
  +files/usermode-sources-2.6.74070.patch,
  +files/usermode-sources-2.6.77666.patch,
  +files/usermode-sources-2.6.77923.patch,
  +files/usermode-sources-2.6.81106.patch,
  +files/usermode-sources-2.6.82141.patch:
  Security bump: Fix #74070, #77666, #78362, #78363, #77923, #81106, #82141.

  12 Jan 2005; <plasmaroo@gentoo.org> files/usermode-sources-2.6.77094.patch:
  Fix #77094 patch; bug #77458.

*usermode-sources-2.6.8.1-r8 (09 Jan 2005)

  09 Jan 2005; <plasmaroo@gentoo.org> -usermode-sources-2.4.26-r11.ebuild,
  +usermode-sources-2.4.26-r12.ebuild, -usermode-sources-2.6.8.1-r7.ebuild,
  +usermode-sources-2.6.8.1-r8.ebuild,
  +files/usermode-sources-2.4.77094.patch,
  +files/usermode-sources-2.4.brk-locked.patch,
  +files/usermode-sources-2.6.75963.patch,
  +files/usermode-sources-2.6.77094.patch,
  +files/usermode-sources-2.6.brk-locked.patch:
  Security bump; fixes bugs #75963, #77025 and #77094.

*usermode-sources-2.4.26-r11 (24 Dec 2004)

  24 Dec 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.26-r10.ebuild,
  +usermode-sources-2.4.26-r11.ebuild,
  +files/usermode-sources-2.4.CAN-2004-1016.patch,
  +files/usermode-sources-2.4.CAN-2004-1056.patch,
  +files/usermode-sources-2.4.CAN-2004-1137.patch,
  +files/usermode-sources-2.4.vma.patch:
  Security bump; bugs #72452, #74384, #74392, #74464.

*usermode-sources-2.6.8.1-r7 (20 Dec 2004)

  20 Dec 2004; <plasmaroo@gentoo.org> -usermode-sources-2.6.8.1-r6.ebuild,
  +usermode-sources-2.6.8.1-r7.ebuild,
  +files/usermode-sources-2.6.CAN-2004-1016.patch,
  +files/usermode-sources-2.6.CAN-2004-1056.patch,
  +files/usermode-sources-2.6.CAN-2004-1137.patch:
  Security fixes - bugs #74384, #74392, #74464.

*usermode-sources-2.6.8.1-r6 (19 Dec 2004)

  19 Dec 2004; <plasmaroo@gentoo.org> -usermode-sources-2.6.8.1-r5.ebuild,
  +usermode-sources-2.6.8.1-r6.ebuild,
  +files/usermode-sources-2.6.AF_UNIX.SELinux.patch,
  +files/usermode-sources-2.6.CAN-2004-1151.patch,
  +files/usermode-sources-2.6.vma.patch:
  Adding SELinux fixes for the AF_UNIX patch; bug #72317. Also fixing security
  bugs #72452 (Adding VMA Patch) and #73000.

  28 Nov 2004; <plasmaroo@gentoo.org> usermode-sources-2.6.8.1-r5.ebuild,
  +files/usermode-sources-2.6.AF_UNIX.patch:
  Adding fixed 2.6 AF_UNIX security patch for 2.6 branch; bug #72688.

*usermode-sources-2.6.8.1-r5 (27 Nov 2004)

  27 Nov 2004; <plasmaroo@gentoo.org> +usermode-sources-2.4.26-r10.ebuild,
  -usermode-sources-2.4.26-r9.ebuild, -usermode-sources-2.6.8.1-r4.ebuild,
  +usermode-sources-2.6.8.1-r5.ebuild,
  +files/usermode-sources-2.4.binfmt_a.out.patch,
  +files/usermode-sources-2.6.binfmt_a.out.patch,
  +files/usermode-sources.AF_UNIX.patch:
  Version bump for the AF_UNIX and a.out security vulnerabilities; bugs #72452
  and #72317.

  26 Nov 2004; Daniel Drake <dsd@gentoo.org>
  usermode-sources-2.4.26-r9.ebuild, usermode-sources-2.6.8.1-r4.ebuild:
  Convert to kernel-2. Clean up.

*usermode-sources-2.4.26-r9 (20 Nov 2004)

  20 Nov 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.26-r8.ebuild,
  +usermode-sources-2.4.26-r9.ebuild, -usermode-sources-2.6.8.1-r3.ebuild,
  +usermode-sources-2.6.8.1-r4.ebuild,
  files/usermode-sources-2.4.binfmt_elf.patch,
  +files/usermode-sources-2.4.smbfs.patch,
  files/usermode-sources-2.6.binfmt_elf.patch,
  +files/usermode-sources-2.6.smbfs.patch:
  Version bump; updates binfmt_elf patch (bug #70681) and adds the smbfs
  security patch (bug #65877).

*usermode-sources-2.6.8.1-r3 (12 Nov 2004)

  12 Nov 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.26-r7.ebuild,
  +usermode-sources-2.4.26-r8.ebuild, -usermode-sources-2.6.8.1-r2.ebuild,
  +usermode-sources-2.6.8.1-r3.ebuild,
  +files/usermode-sources-2.4.binfmt_elf.patch,
  +files/usermode-sources-2.6.binfmt_elf.patch:
  Version bump for the binfmt_elf security vulnerability, bug #70681.

*usermode-sources-2.6.8.1-r2 (09 Nov 2004)

  09 Nov 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r9.ebuild,
  -usermode-sources-2.4.26-r6.ebuild, +usermode-sources-2.4.26-r7.ebuild,
  -usermode-sources-2.6.8.1-r1.ebuild, +usermode-sources-2.6.8.1-r2.ebuild,
  +files/usermode-sources-2.4.XDRWrapFix.patch,
  +files/usermode-sources-2.6.devPtmx.patch:
  Adding a fix for the 2.4 kNFSd security vulnerability and the 2.6 /dev/ptmx
  DoS, bug #62524. Also fixed CAN-2004-0814 for 2.4 and 2.6, bug #68421.

*usermode-sources-2.6.8.1-r1 (21 Oct 2004)

  21 Oct 2004; <plasmaroo@gentoo.org> -usermode-sources-2.6.6-r6.ebuild,
  +usermode-sources-2.6.8.1-r1.ebuild,
  -files/usermode-sources-2.6.6.CAN-2004-0495-0496.patch,
  -files/usermode-sources-2.6.6.FPULockup-53804.patch,
  -files/usermode-sources-2.6.6.ProcPerms.patch,
  -files/usermode-sources-2.6.CAN-2004-0596.patch,
  -files/usermode-sources-2.6.IPTables-RDoS.patch:
  Version bump - closes bug #68278. Old version removed due to security issues,
  bug #68375.

  20 Oct 2004; Michael Hanselmann <hansmi@gentoo.org>
  usermode-sources-2.6.6-r6.ebuild:
  Marked -ppc, because it does not build. Support for ppc seems to be
  discontinued since 2001 (http://www.nosreme.org/projects/umlppc/).

*usermode-sources-2.4.24-r9 (10 Aug 2004)

  10 Aug 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r8.ebuild,
  +usermode-sources-2.4.24-r9.ebuild, -usermode-sources-2.4.26-r5.ebuild,
  +usermode-sources-2.4.26-r6.ebuild, -usermode-sources-2.6.6-r5.ebuild,
  +usermode-sources-2.6.6-r6.ebuild,
  +files/usermode-sources-2.4.cmdlineLeak.patch,
  +files/usermode-sources-2.6.cmdlineLeak.patch:
  Version bump for the /proc/cmdline leak vulnerability; bug #59905.

*usermode-sources-2.4.26-r5 (08 Aug 2004)

  08 Aug 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r7.ebuild,
  +usermode-sources-2.4.24-r8.ebuild, -usermode-sources-2.4.26-r4.ebuild,
  +usermode-sources-2.4.26-r5.ebuild,
  +files/usermode-sources-2.4.CAN-2004-0685.patch:
  Version bump for CAN-2004-0685, bug #59769.

*usermode-sources-2.4.24-r7 (05 Aug 2004)

  05 Aug 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r6.ebuild,
  +usermode-sources-2.4.24-r7.ebuild, -usermode-sources-2.4.26-r3.ebuild,
  +usermode-sources-2.4.26-r4.ebuild, -usermode-sources-2.6.6-r4.ebuild,
  +usermode-sources-2.6.6-r5.ebuild:
  Added a patch for the CAN-2004-0415 vulnerability, bug #59378.

  21 Jul 2004; <plasmaroo@gentoo.org> usermode-sources-2.6.6-r4.ebuild,
  +files/usermode-sources-2.6.6.CAN-2004-0495-0496.patch:
  Fixes for CAN-2004-049[56].

*usermode-sources-2.6.6-r4 (21 Jul 2004)

  21 Jul 2004; <plasmaroo@gentoo.org> -usermode-sources-2.6.6-r3.ebuild,
  +usermode-sources-2.6.6-r4.ebuild,
  +files/usermode-sources-2.6.CAN-2004-0596.patch:
  Version bump for the CAN-2004-0596 issue; bug #57826.

*usermode-sources-2.6.6-r3 (09 Jul 2004)
*usermode-sources-2.4.24-r6 (09 Jul 2004)
*usermode-sources-2.4.26-r3 (09 Jul 2004)

  09 Jul 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r5.ebuild,
  +usermode-sources-2.4.24-r6.ebuild, -usermode-sources-2.4.26-r2.ebuild,
  +usermode-sources-2.4.26-r3.ebuild, -usermode-sources-2.6.6-r2.ebuild,
  +usermode-sources-2.6.6-r3.ebuild,
  +files/usermode-sources-2.6.6.ProcPerms.patch,
  +files/usermode-sources.CAN-2004-0497.patch:
  Version bumps for kernel attribute vulnerabilities, bug #56479.

*usermode-sources-2.6.6-r2 (30 Jun 2004)

  30 Jun 2004; <plasmaroo@gentoo.org> -usermode-sources-2.6.6-r1.ebuild,
  +usermode-sources-2.6.6-r2.ebuild,
  +files/usermode-sources-2.6.IPTables-RDoS.patch:
  Version bump for the 2.6 IPTables RDoS vulnerability; bug #55694.

*usermode-sources-2.4.24-r5 (29 Jun 2004)

  29 Jun 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r4.ebuild,
  +usermode-sources-2.4.24-r5.ebuild, -usermode-sources-2.4.26-r1.ebuild,
  +usermode-sources-2.4.26-r2.ebuild:
  Security bumps for the CAN-2004-0495 and CAN-2004-0535 vulnerabilities.

*usermode-sources-2.4.24-r4 (15 Jun 2004)

  15 Jun 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r3.ebuild,
  +usermode-sources-2.4.24-r4.ebuild, +usermode-sources-2.4.26-r1.ebuild,
  -usermode-sources-2.4.26.ebuild, -usermode-sources-2.6.4.ebuild,
  +usermode-sources-2.6.6-r1.ebuild, -usermode-sources-2.6.6.ebuild,
  +files/usermode-sources....patch:
  Added patches for the FPU-lockup issues; please see bug #58304 for details.
  2.4.24 also patched for CAN-2004-0075, CAN-2004-0181,CAN-2004-0394 and
  CAN-2004-0427. Old versions removed.

*usermode-sources-2.4.24-r4 (15 Jun 2004)

  15 Jun 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.24-r3.ebuild,
  +usermode-sources-2.4.24-r4.ebuild, +usermode-sources-2.4.26-r1.ebuild,
  -usermode-sources-2.4.26.ebuild, -usermode-sources-2.6.4.ebuild,
  +usermode-sources-2.6.6-r1.ebuild, -usermode-sources-2.6.6.ebuild:
  Added patches for the FPU-lockup issues; please see bug #58304 for details.

*usermode-sources-2.4.26 (03 Jun 2004)

  03 Jun 2004; <plasmaroo@gentoo.org> -usermode-sources-2.4.20-r2.ebuild,
  -usermode-sources-2.4.21-r1.ebuild, -usermode-sources-2.4.22-r2.ebuild,
  -usermode-sources-2.4.23-r1.ebuild, -usermode-sources-2.4.23-r2.ebuild,
  +usermode-sources-2.4.26.ebuild, -usermode-sources-2.6.1-r1.ebuild,
  -usermode-sources-2.6.3-r2.ebuild, +usermode-sources-2.6.6.ebuild,
  +files/usermode-sources-2.4.26.CAN-2004-0394.patch:
  Version bump; old versions removed due to security issues.

  31 May 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  usermode-sources-2.4.23-r1.ebuild, usermode-sources-2.4.23-r2.ebuild,
  usermode-sources-2.4.24-r3.ebuild, usermode-sources-2.6.1-r1.ebuild,
  usermode-sources-2.6.3-r2.ebuild, usermode-sources-2.6.4.ebuild:
  Masked usermode-sources-2.6.4.ebuild testing for ppc

  31 May 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  usermode-sources-2.4.23-r1.ebuild, usermode-sources-2.4.23-r2.ebuild,
  usermode-sources-2.4.24-r3.ebuild, usermode-sources-2.6.1-r1.ebuild,
  usermode-sources-2.6.3-r2.ebuild:
  Masked usermode-sources-2.6.3-r2.ebuild broken for ppc

  31 May 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  usermode-sources-2.4.23-r1.ebuild, usermode-sources-2.4.23-r2.ebuild,
  usermode-sources-2.4.24-r3.ebuild, usermode-sources-2.6.1-r1.ebuild:
  Masked usermode-sources-2.6.1-r1.ebuild broken for ppc

  31 May 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  usermode-sources-2.4.23-r1.ebuild, usermode-sources-2.4.23-r2.ebuild,
  usermode-sources-2.4.24-r3.ebuild:
  Masked usermode-sources-2.4.24-r3.ebuild broken for ppc

  31 May 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  usermode-sources-2.4.23-r1.ebuild, usermode-sources-2.4.23-r2.ebuild:
  Masked usermode-sources-2.4.23-r2.ebuild broken for ppc

  31 May 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  usermode-sources-2.4.23-r1.ebuild:
  Masked usermode-sources-2.4.23-r1.ebuild broken for ppc

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org>
  usermode-sources-2.4.20-r2.ebuild, usermode-sources-2.4.21-r1.ebuild,
  usermode-sources-2.4.22-r2.ebuild, usermode-sources-2.4.23-r1.ebuild,
  usermode-sources-2.4.23-r2.ebuild, usermode-sources-2.6.1-r1.ebuild:
  Add inherit eutils

*usermode-sources-2.6.4 (21 Apr 2004)

  21 Apr 2004; Jared Hudson <jhhudso@gentoo.org> usermode-sources-2.6.4.ebuild,
  files/usermode-sources-2.6.4.CAN-2004-0109.patch:
  Version bump.

*usermode-sources-2.4.24-r3 (17 Apr 2004)

  17 Apr 2004; <plasmaroo@gentoo.org>
  +files/usermode-sources-2.4.24.CAN-2004-0010.patch,
  +files/usermode-sources-2.4.24.CAN-2004-0177.patch,
  +files/usermode-sources-2.4.24.CAN-2004-0178.patch,
  -usermode-sources-2.4.24-r2.ebuild, +usermode-sources-2.4.24-r3.ebuild:
  Added patches for the CAN-2004-0010, CAN-2004-0177 and CAN-2004-0178
  vulnerabilities.

*usermode-sources-2.6.3-r2 (15 Apr 2004)

  15 Apr 2004; <plasmaroo@gentoo.org>
  +files/usermode-sources-2.4.24.CAN-2004-0109.patch,
  +files/usermode-sources-2.6.3.CAN-2004-0109.patch,
  -usermode-sources-2.4.24-r1.ebuild, +usermode-sources-2.4.24-r2.ebuild,
  -usermode-sources-2.6.3-r1.ebuild, +usermode-sources-2.6.3-r2.ebuild:
  Version bump for the CAN-2004-0109 issue; bug #47881.

  12 Apr 2004; Daniel Ahlberg <aliz@gentoo.org>
  usermode-sources-2.6.3-r1.ebuild:
  Add IUSE=

*usermode-sources-2.6.3-r1 (18 Feb 2004)
*usermode-sources-2.4.24-r1 (18 Feb 2004)

  18 Feb 2004; Brian Jackson <iggy@gentoo.org>
  usermode-sources-2.4.24-r1.ebuild, usermode-sources-2.6.3-r1.ebuild,
  files/usermode-sources-2.4.24.munmap.patch:
  Added the patch for the mremap/munmap vulnerability. Bug #42024.

  31 Jan 2004; Michal Januszewski <spock@gentoo.org>
  usermode-sources-2.6.1-r1.ebuild:
  Updated ebuild for 2.6.1-r1, should fix bug #39769.

*usermode-sources-2.6.1-r1 (28 Jan 2004)

  28 Jan 2004; Michal Januszewski <spock@gentoo.org>
  usermode-sources-2.6.1-r1.ebuild:
  Version bump.

*usermode-sources-2.4.23-r2 (28 Jan 2004)

  28 Jan 2004; Michal Januszewski <spock@gentoo.org>
  usermode-sources-2.4.23-r2.ebuild:
  Version bump.

*usermode-sources-2.4.23-r1 (07 Jan 2004)

  07 Jan 2004; <plasmaroo@gentoo.org> usermode-sources-2.4.19-r51.ebuild,
  usermode-sources-2.4.20-r1.ebuild, usermode-sources-2.4.20-r2.ebuild,
  usermode-sources-2.4.21-r1.ebuild, usermode-sources-2.4.21.ebuild,
  usermode-sources-2.4.22-r1.ebuild, usermode-sources-2.4.22-r2.ebuild,
  usermode-sources-2.4.23-r1.ebuild, usermode-sources-2.4.23.ebuild,
  files/usermode-sources-2.4.20.rtc_fix.patch,
  files/usermode-sources-2.4.22.rtc_fix.patch,
  files/usermode-sources.CAN-2003-0985.patch:
  Added patches to address the security vulnerabilities in bugs #37292 and
  #37317. Old revisions removed.

  28 Dec 2003; Heinrich Wendel <lanius@gentoo.org>
  usermode-sources-2.4.19-r51.ebuild, usermode-sources-2.4.20-r1.ebuild,
  usermode-sources-2.4.21.ebuild, usermode-sources-2.4.22-r1.ebuild,
  usermode-sources-2.4.23.ebuild:
  Link current version to /usr/src/uml/linux like vanilla kernels, mark 2.4.23
  stable.

*usermode-sources-2.4.23 (20 Dec 2003)

  20 Dec 2003; Heinrich Wendel <lanius@gentoo.org>
  usermode-sources-2.4.22.ebuild, usermode-sources-2.4.23.ebuild:
  Version bump, some ebuild cleanups

  05 Dec 2003; Heinrich Wendel <lanius@gentoo.org>
  usermode-sources-2.4.19-r51.ebuild, usermode-sources-2.4.20-r1.ebuild,
  usermode-sources-2.4.21.ebuild, usermode-sources-2.4.22-r1.ebuild,
  usermode-sources-2.4.22.ebuild:
  Fixed the "chown" syntax to comply with the new POSIX standards.

*usermode-sources-2.4.22-r1 (02 Dec 2003)

  02 Dec 2003; Brian Jackson <iggy@gentoo.org>
  usermode-sources-2.4.22-r1.ebuild:
  Version bump for the 'do_brk' vulnerability.

  01 Dec 2003; Brian Jackson <iggy@gentoo.org>
  usermode-sources-2.4.19-r51.ebuild, usermode-sources-2.4.20-r1.ebuild,
  usermode-sources-2.4.21.ebuild, usermode-sources-2.4.22.ebuild,
  files/do_brk_fix.patch: Fix the 'do_brk' vulnerability.

  31 Oct 2003; Heinrich Wendel <lanius@gentoo.org>
  usermode-sources-2.4.22.ebuild: Bump to stable.

*usermode-sources-2.4.22 (29 Sep 2003)

  29 Sep 2003; Heinrich Wendel <lanius@gentoo.org>
  usermode-sources-2.4.22.ebuild:
  Version bump.

*usermode-sources-2.4.20-r1 (29 Sep 2003)

  29 Sep 2003; Martin Holzer <mholzer@gentoo.org>
  usermode-sources-2.4.19-r51.ebuild, usermode-sources-2.4.20-r1.ebuild,
  usermode-sources-2.4.21.ebuild: Now uses mirror://kernel.

*usermode-sources-2.4.21 (10 Sep 2003)

  10 Sep 2003; <plasmaroo@gentoo.org> usermode-sources-2.4.21.ebuild:
  Fixed broken patch location [bug #28118].

  28 Aug 2003; stuart : Upgraded to provide UML for 2.4.21 kernels.

*usermode-sources-2.4.20-rX (05 Mar 2002)

  02 Mar 2002; Michael Imhof <tantive@gentoo.org>
  Version bumped, -rX contains uml-patch-2.4.20-rX.

  17 Dec 2002; Brandon Low <lostlogic@gentoo.org>:
  Make all kernel-sources SLOT="${KV}"

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : Changed sparc ~sparc keywords.
 
*usermode-sources-2.4.19-rX (05 Oct 2002)

  05 Oct 2002; Michael Imhof <tantive@gentoo.org>
  Version bumped, -rX contains uml-patch-2.4.19-rX.

*usermode-sources-2.4.19-r2 (10 Sep 2002)

  10 Sep 2002; Michael Imhof <tantive@gentoo.org>
  Version bumped, including uml-patch-2.4.19-2.

*usermode-sources-2.4.19-r1 (10 Sep 2002)

  10 Sep 2002; Michael Imhof <tantive@gentoo.org>
  Version bumped, including uml-patch-2.4.19-1.

*usermode-sources-2.4.18-r2 (23 Jul 2002)

  23 Jul 2002; Seemant Kulleen <seemant@gentoo.org>
  usermode-sources-2.4.18-r2 : Ulf.Bartelt@t-online.de (Ulf Bartelt) 
  submitted this new ebuild, which basically patches with a newer patchset.

*usermode-kernel-2.4.18 (4 March 2002)

  15 Jul 2002; Mark Guertin <gerk@gentoo.org>
  Added arch keywords (-ppc -sparc -sparc64)

  4 March 2002; Grant Goodyear <g2boojum@gentoo.org> :
  Initial ebuild.  
